Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.awt.viewer
Class Translator

    java.lang.Object
      org.apache.fop.render.awt.viewer.Translator

    public class Translator

extends java.lang.Object

AWT Viewer's localization class, backed up by `java.util.ResourceBundle`. Originally contributed by: Stanislav.Gorkhover@jCatalog.com

Constructor Summary
`Translator()` Default constructor, default `Locale` is used.
`Translator(java.util.Locale locale)` Constructor for a given `Locale`.

Method Summary
`java.lang.String` | `getString(java.lang.String key)` Returns localized `String` for a given key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Translator

    public Translator()

  Default constructor, default `Locale` is used.

### Translator

    public Translator(java.util.Locale locale)

  Constructor for a given `Locale`.

  Parameters:
    `locale` - Locale to use

Method Detail

### getString

    public java.lang.String getString(java.lang.String key)

  Returns localized `String` for a given key.

  Parameters:
    `key` - the key
  Returns:
    the localized String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.